Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util.uri
Interface URIConstants

All Known Implementing Classes:
  BaseURI, DataURI, TemplateURI, TurbineURI

    public interface URIConstants

This interface contains all the constants that are always needed when working with URIs.

Version:
  $Id: URIConstants.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Henning P. Schmiedehausen, Quinton McCombs

Field Summary
`static String` | `CGI_ACTION_PARAM` CGI parameter for action name
`static String` | `CGI_SCREEN_PARAM` CGI parameter for screen name
`static String` | `CGI_TEMPLATE_PARAM` CGI parameter for template name
`static String` | `EVENT_PREFIX` prefix for event names
`static int` | `FTP_PORT` FTP Default Control Port
`static String` | `HTTP` HTTP protocol.
`static int` | `HTTP_PORT` HTTP Default Port
`static String` | `HTTPS` HTTPS protocol.
`static int` | `HTTPS_PORT` HTTPS Default Port
`static int` | `PATH_INFO` Path Info Data Marker
`static int` | `QUERY_DATA` Query Data Marker
`static String` | `URI_SCHEME_SEPARATOR` The part of the URI which separates the protocol indicator (i.e. the scheme) from the rest of the URI.

Field Detail

### HTTP

    static final String HTTP

  HTTP protocol.

  See Also:
    Constant Field Values

### HTTPS

    static final String HTTPS

  HTTPS protocol.

  See Also:
    Constant Field Values

### HTTP_PORT

    static final int HTTP_PORT

  HTTP Default Port

  See Also:
    Constant Field Values

### HTTPS_PORT

    static final int HTTPS_PORT

  HTTPS Default Port

  See Also:
    Constant Field Values

### FTP_PORT

    static final int FTP_PORT

  FTP Default Control Port

  See Also:
    Constant Field Values

### PATH_INFO

    static final int PATH_INFO

  Path Info Data Marker

  See Also:
    Constant Field Values

### QUERY_DATA

    static final int QUERY_DATA

  Query Data Marker

  See Also:
    Constant Field Values

### URI_SCHEME_SEPARATOR

    static final String URI_SCHEME_SEPARATOR

  The part of the URI which separates the protocol indicator (i.e. the scheme) from the rest of the URI.

  See Also:
    Constant Field Values

### CGI_ACTION_PARAM

    static final String CGI_ACTION_PARAM

  CGI parameter for action name

  See Also:
    Constant Field Values

### CGI_SCREEN_PARAM

    static final String CGI_SCREEN_PARAM

  CGI parameter for screen name

  See Also:
    Constant Field Values

### CGI_TEMPLATE_PARAM

    static final String CGI_TEMPLATE_PARAM

  CGI parameter for template name

  See Also:
    Constant Field Values

### EVENT_PREFIX

    static final String EVENT_PREFIX

  prefix for event names

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.